Subject: Re: AW: libtar - tar file manipulation API
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: "devzero" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 30 May 2002 13:41:14 -0400

At 01:22 PM 5/30/2002, devzero wrote:
>>Are you offering to package and maintain it?
>that wouldn't be a problem, i think. but i don't know, if it's
>worth actually - how many people would use that package ?

I assume that's a rhetorical question?  While I can't say there is 
pent-up demand for this package, many folks make use of packages 
once they see they are available.

>I thought, putting that into cygwin is good for completeness and 
>good for cygwin popularity....

No argument here.

>Maybe the maintainer (Mark D. Roth <[email-masked]>) himself is 
>interested in actively supporting libtar on cygwin?

Anyone interested in becoming the Cygwin maintainer for this or any
other package should see 

http://cygwin.com/setup.html

This tells you all you need to know about the process and requirements.

>regards
>Roland
>
>
>
>
>the ReadMe says:
>
>Supported Platforms
>-------------------
>
>I develop and test libtar on the following platforms:
>
>   AIX 4.3.3
>   HP-UX 11.00
>   IRIX 6.5
>   RedHat Linux 6.2
>   Solaris 8
>
>It should also build on the following platforms, but I do not actively
>support them:
>
>   AIX 3.2.5
>   AIX 4.2.1
>   FreeBSD
>   HP-UX 10.20
>   Linux/libc5
>   OpenBSD
>   Solaris 2.5
>   Solaris 2.6
>   Solaris 7
>
>If you successfully build libtar on another platform, please email me a
>patch and/or configuration information.
>
>Compatibility Code
>------------------
>
>libtar depends on some library calls which are not available or not
>usable on some platforms.  To accomodate these systems, I've included
>a version of these calls in the lib/compat subdirectory.
>
>I've slightly modified these functions for integration into this source
>tree, but the functionality has not been modified from the original
>source.  Please note that while this code should work for you, I didn't
>write it, so please don't send me bug reports on it.
>
>
>
>
>-----Ursprungliche Nachricht-----
>Von: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]
>Gesendet: Donnerstag, 30. Mai 2002 19:00
>An: devzero; [email-masked]
>Cc: [email-masked]
>Betreff: Re: libtar - tar file manipulation API
>
>
>At 12:35 PM 5/30/2002, devzero wrote:
>>Hello CygWinners, 
>>
>>libtar successfully compiles and runs under cygwin.
>>you have to install include files from tar-sources for successful compile.
>>
>>libtar is a C library for manipulating POSIX tar files. It handles adding and 
>>extracting files to/from a tar archive. (http://www-dev.cso.uiuc.edu/libtar/)
>>
>>will this go into cygwin-distro ?
>>Are you offering to package and maintain it?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/